API reference / YouTube / Search list
Search list
Read-only YouTube Data API v3 search list endpoint.
10 credits per successful call
Errors are never charged
Request
GET
https://socialgraph.dev/api/v1/youtube/search
Send your API key as Authorization: Bearer YOUR_API_KEY.
Parameters go in the query string.
Parameters
| Name | Type | Description |
|---|---|---|
partrequired |
string | Required. Use snippet. |
qoptional |
string | Search terms. Use | for OR and - to exclude, e.g. gemini|gemma -shorts. |
channelIdoptional |
string | Only results from this channel. For example: UC_x5XG1OV2P6uZZ5FSM9Ttw |
typeoptional |
string | Comma-separated: video, channel or playlist. Default all three. |
orderoptional |
string | relevance (default), date, rating, title, videoCount or viewCount. |
maxResultsoptional |
integer | Maximum results per page (0–50). Default 5. |
pageTokenoptional |
string | Token from a previous response (nextPageToken or prevPageToken). |
publishedAfteroptional |
string | RFC 3339 lower bound for publish time. (YYYY-MM-DDThh:mm:ssZ) |
publishedBeforeoptional |
string | RFC 3339 upper bound for publish time. (YYYY-MM-DDThh:mm:ssZ) |
regionCodeoptional |
string | Results viewable in this country (ISO 3166-1 alpha-2). For example: US |
relevanceLanguageoptional |
string | Prefer results in this language (ISO 639-1). For example: en |
safeSearchoptional |
string | moderate (default), none or strict. |
eventTypeoptional |
string | completed, live or upcoming broadcasts. Requires type=video. |
locationoptional |
string | Latitude,longitude to search around, with locationRadius. Requires type=video. For example: 37.42307,-122.08427 |
locationRadiusoptional |
string | Distance from location, up to 1000km. For example: 10km |
topicIdoptional |
string | Only results about this topic. For example: /m/04rlf (music) |
videoCategoryIdoptional |
string | Video category ID (see Video categories list). Requires type=video. For example: 28 |
videoCaptionoptional |
string | any (default), closedCaption or none. Requires type=video. |
videoDefinitionoptional |
string | any (default), high or standard. Requires type=video. |
videoDimensionoptional |
string | any (default), 2d or 3d. Requires type=video. |
videoDurationoptional |
string | any (default), short (under 4 min), medium (4–20 min) or long (over 20 min). Requires type=video. |
videoEmbeddableoptional |
string | any (default) or true. Requires type=video. |
videoLicenseoptional |
string | any (default), creativeCommon or youtube. Requires type=video. |
videoPaidProductPlacementoptional |
string | any (default) or true. Requires type=video. |
videoSyndicatedoptional |
string | any (default) or true. Requires type=video. |
videoTypeoptional |
string | any (default), episode or movie. Requires type=video. |
channelTypeoptional |
string | any (default) or show. |
Code examples
Example response
{
"etag": "4524rDhbDH8cCTX9Z3RrwGLI_0E",
"kind": "youtube#searchListResponse",
"items": [
{
"id": {
"kind": "youtube#video",
"videoId": "OYp5j2RihPE"
},
"etag": "HZLRG4ffXFTQcdrFjpg5tYzuc7g",
"kind": "youtube#searchResult",
"snippet": {
"title": "Gemini 4 Argon and Google Antigravity: From 2D concept to 3D cathedral",
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw",
"thumbnails": {
"fhd": {
"url": "https://i.ytimg.com/vi/OYp5j2RihPE/fhddefault.jpg",
"width": 1920,
"height": 1080
},
"high": {
"url": "https://i.ytimg.com/vi/OYp5j2RihPE/hqdefault.jpg",
"width": 480,
"height": 360
},
"maxres": {
"url": "https://i.ytimg.com/vi/OYp5j2RihPE/maxresdefault.jpg",
"width": 1280,
"height": 720
},
"medium": {
"url": "https://i.ytimg.com/vi/OYp5j2RihPE/mqdefault.jpg",
"width": 320,
"height": 180
},
"default": {
"url": "https://i.ytimg.com/vi/OYp5j2RihPE/default.jpg",
"width": 120,
"height": 90
},
"standard": {
"url": "https://i.ytimg.com/vi/OYp5j2RihPE/sddefault.jpg",
"width": 640,
"height": 480
}
},
"description": "Watch how an autonomous AI agent takes a flat 2D concept image and reconstructs a photorealistic 3D cathedral in Blender from ...",
"publishTime": "2026-10-13T19:00:11Z",
"publishedAt": "2026-10-13T19:00:11Z",
"channelTitle": "Google for Developers",
"liveBroadcastContent": "none"
}
},
{
"id": {
"kind": "youtube#video",
"videoId": "IBVmenOroPs"
},
"etag": "fkVlPcl3R9S-nmS6ie1BFJFaLII",
"kind": "youtube#searchResult",
"snippet": {
"title": "Order in any language with Gemini 3.5 Live Translate",
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw",
"thumbnails": {
"high": {
"url": "https://i.ytimg.com/vi/IBVmenOroPs/hqdefault.jpg",
"width": 480,
"height": 360
},
"maxres": {
"url": "https://i.ytimg.com/vi/IBVmenOroPs/maxresdefault.jpg",
"width": 1280,
"height": 720
},
"medium": {
"url": "https://i.ytimg.com/vi/IBVmenOroPs/mqdefault.jpg",
"width": 320,
"height": 180
},
"default": {
"url": "https://i.ytimg.com/vi/IBVmenOroPs/default.jpg",
"width": 120,
"height": 90
},
"standard": {
"url": "https://i.ytimg.com/vi/IBVmenOroPs/sddefault.jpg",
"width": 640,
"height": 480
}
},
"description": "See how Gemini 3.5 Live Translate and Gemini 3.5 Transcribe work together to help an English speaker place a sushi order with ...",
"publishTime": "2026-10-09T23:00:24Z",
"publishedAt": "2026-10-09T23:00:24Z",
"channelTitle": "Google for Developers",
"liveBroadcastContent": "none"
}
},
{
"id": {
"kind": "youtube#video",
"videoId": "fMgcm9aXZyY"
},
"etag": "S6BEZwqB4UXotDOuU0miL6uFrvw",
"kind": "youtube#searchResult",
"snippet": {
"title": "🤖 Operating real hardware with Gemini AI",
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw",
"thumbnails": {
"high": {
"url": "https://i.ytimg.com/vi/fMgcm9aXZyY/hqdefault.jpg",
"width": 480,
"height": 360
},
"maxres": {
"url": "https://i.ytimg.com/vi/fMgcm9aXZyY/maxresdefault.jpg",
"width": 1280,
"height": 720
},
"medium": {
"url": "https://i.ytimg.com/vi/fMgcm9aXZyY/mqdefault.jpg",
"width": 320,
"height": 180
},
"default": {
"url": "https://i.ytimg.com/vi/fMgcm9aXZyY/default.jpg",
"width": 120,
"height": 90
},
"standard": {
"url": "https://i.ytimg.com/vi/fMgcm9aXZyY/sddefault.jpg",
"width": 640,
"height": 480
}
},
"description": "When your friend has a robot arm in another state, you find a way to use it. Watch how Matías and David used Gemini to bridge ...",
"publishTime": "2026-10-09T19:00:36Z",
"publishedAt": "2026-10-09T19:00:36Z",
"channelTitle": "Google for Developers",
"liveBroadcastContent": "none"
}
},
{
"id": {
"kind": "youtube#video",
"videoId": "fL9OBJO3Gu8"
},
"etag": "lADqXzy8oGQaVLUWbTa1i1rrzLM",
"kind": "youtube#searchResult",
"snippet": {
"title": "Building with Gemma 4",
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw",
"thumbnails": {
"qhd": {
"url": "https://i.ytimg.com/vi/fL9OBJO3Gu8/qhddefault.jpg",
"width": 2560,
"height": 1440
},
"high": {
"url": "https://i.ytimg.com/vi/fL9OBJO3Gu8/hqdefault.jpg",
"width": 480,
"height": 360
},
"maxres": {
"url": "https://i.ytimg.com/vi/fL9OBJO3Gu8/maxresdefault.jpg",
"width": 1280,
"height": 720
},
"medium": {
"url": "https://i.ytimg.com/vi/fL9OBJO3Gu8/mqdefault.jpg",
"width": 320,
"height": 180
},
"default": {
"url": "https://i.ytimg.com/vi/fL9OBJO3Gu8/default.jpg",
"width": 120,
"height": 90
},
"standard": {
"url": "https://i.ytimg.com/vi/fL9OBJO3Gu8/sddefault.jpg",
"width": 640,
"height": 480
}
},
"description": "Gemma 4 is the most capable model family you can run on your hardware. They complement our Gemini models, giving our ...",
"publishTime": "2026-10-08T23:00:09Z",
"publishedAt": "2026-10-08T23:00:09Z",
"channelTitle": "Google for Developers",
"liveBroadcastContent": "none"
}
},
{
"id": {
"kind": "youtube#video",
"videoId": "XnIXupxiRo4"
},
"etag": "vDdVie8mFIgChpQNnMMAiXeSRqM",
"kind": "youtube#searchResult",
"snippet": {
"title": "📷 Searching for images from text with EmbeddingGemma 2",
"channelId": "UC_x5XG1OV2P6uZZ5FSM9Ttw",
"thumbnails": {
"high": {
"url": "https://i.ytimg.com/vi/XnIXupxiRo4/hqdefault.jpg",
"width": 480,
"height": 360
},
"maxres": {
"url": "https://i.ytimg.com/vi/XnIXupxiRo4/maxresdefault.jpg",
"width": 1280,
"height": 720
},
"medium": {
"url": "https://i.ytimg.com/vi/XnIXupxiRo4/mqdefault.jpg",
"width": 320,
"height": 180
},
"default": {
"url": "https://i.ytimg.com/vi/XnIXupxiRo4/default.jpg",
"width": 120,
"height": 90
},
"standard": {
"url": "https://i.ytimg.com/vi/XnIXupxiRo4/sddefault.jpg",
"width": 640,
"height": 480
}
},
"description": "See how EmbeddingGemma 2, Google's lightweight, open multimodal embedding model, lets you search your photos and videos ...",
"publishTime": "2026-10-08T16:00:00Z",
"publishedAt": "2026-10-08T16:00:00Z",
"channelTitle": "Google for Developers",
"liveBroadcastContent": "none"
}
}
],
"pageInfo": {
"totalResults": 6263,
"resultsPerPage": 5
},
"regionCode": "IN",
"nextPageToken": "CAUQAA"
}Errors
| Status | Meaning | Charged? |
|---|---|---|
| 401 | Missing, invalid or revoked API key | No |
| 402 | Not enough credits (insufficient_credits) | No |
| 404 | The account or post doesn't exist | No |
| 422 | Missing or invalid parameters | No |
| 502 / 503 | The data source is temporarily unavailable | No |
Try it live: Search list
GET
🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.
More YouTube endpoints
GET
Activities list
Read-only YouTube Data API v3 activities list endpoint.
/api/v1/youtube/activities
1 credit / call
GET
Channel sections list
Read-only YouTube Data API v3 channelSections list endpoint.
/api/v1/youtube/channelSections
1 credit / call
GET
Channels list
Read-only YouTube Data API v3 channels list endpoint.
/api/v1/youtube/channels
1 credit / call
GET
Comment threads list
Read-only YouTube Data API v3 commentThreads list endpoint.
/api/v1/youtube/commentThreads
1 credit / call
GET
Comments list
Read-only YouTube Data API v3 comments list endpoint.
/api/v1/youtube/comments
1 credit / call
GET
Internationalization languages list
Read-only YouTube Data API v3 i18nLanguages list endpoint.
/api/v1/youtube/i18nLanguages
1 credit / call